QGIS Application - Bug report #7763
Black raster when a special character is used in file path
2013-05-03 08:04 AM - Romain Blanc

Status: Closed

Priority: Normal

Assignee:

Category: Rasters

Affected QGIS version:1.8.0 Regression?: No
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 16662
Description

Hello world,

I've noticed that QGIS 1.8 has a problem when special characters are used in the path of a file that is loaded as raster layer.

For example, when | add a new raster layer (ECW file...) that is in C:/donn*+é+*es/file.ecw, it appears all black in QGIS. But when | import
the same file from an other path without special characters, like C:/donnees/file.ecw, it appears properly.

Yes, | can also change the name of my file paths ;-) But when you have to work with a server that's not yours...

History

#1 - 2013-05-03 09:41 AM - Giovanni Manghi
- Status changed from Open to Feedback

can you test QGIS master, please? thanks!

#2 - 2013-05-05 11:06 PM - Romain Blanc

I've tested QGIS Master (1959182) and | can't open any ECW file -> PE_1123-44.ecw is not a supported raster data source

Thanks for your help! ;-)

#3 - 2013-05-06 06:12 AM - Giovanni Manghi

Romain Blanc wrote:

I've tested QGIS Master (1959182) and | can't open any ECW file -> PE_1123-44.ecw is not a supported raster data source

Thanks for your help! ;-)

http://www.faunalia.pt/node/438

#4 - 2013-05-20 10:54 PM - Romain Blanc

2025-04-27 12



http://www.faunalia.pt/node/438

Hello ;)

I'm sorry, I'm a bit late...

Thank you Giovanni Manghi for the link, I've followed the steps and | can now open ECW files from a path without special characters.

But I've tried many times in QGIS 1.9.0-17 -18 -19 -20 to import an ECW file from a path with special characters. No, it don't work anyway -> "data.ecw is

not a supported raster data source". | precise | can easily open the same file when it's in a path without spec chars.

Thank you!

#5 - 2013-05-21 02:19 PM - Giovanni Manghi

Romain Blanc wrote:

Hello ;)

I'm sorry, I'm a bit late...

Thank you Giovanni Manghi for the link, I've followed the steps and | can now open ECW files from a path without special characters.

But I've tried many times in QGIS 1.9.0-17 -18 -19 -20 to import an ECW file from a path with special characters. No, it don't work anyway ->

"data.ecw is not a supported raster data source". | precise | can easily open the same file when it's in a path without spec chars.

Thank you!

on Windows 7/8 there are no issues on any path that contains characters like ¢ & é & & spaces etc.

if this is a XP only problem than | suggest to close this ticket.

#6 - 2013-05-22 12:45 AM - Romain Blanc
- Status changed from Feedback to Closed

So, I'll update my Windows XP to Win7 ;-)

Or try Ubuntu!

Thanks a lot for your help!
